summaryrefslogtreecommitdiffstats
path: root/test/udev-dmi-memory-id-test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:35:18 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:35:18 +0000
commitb750101eb236130cf056c675997decbac904cc49 (patch)
treea5df1a06754bdd014cb975c051c83b01c9a97532 /test/udev-dmi-memory-id-test.sh
parentInitial commit. (diff)
downloadsystemd-b750101eb236130cf056c675997decbac904cc49.tar.xz
systemd-b750101eb236130cf056c675997decbac904cc49.zip
Adding upstream version 252.22.upstream/252.22upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/udev-dmi-memory-id-test.sh')
-rwxr-xr-xtest/udev-dmi-memory-id-test.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/udev-dmi-memory-id-test.sh b/test/udev-dmi-memory-id-test.sh
new file mode 100755
index 0000000..f1f4c26
--- /dev/null
+++ b/test/udev-dmi-memory-id-test.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+# SPDX-License-Identifier: LGPL-2.1-or-later
+
+set -e
+
+dmi_memory_id="$1"
+input="$2"
+expected="$3"
+
+output=$(mktemp --tmpdir "test-udev-dmi-memory-id.XXXXXXXXXX")
+# shellcheck disable=SC2064
+trap "rm '$output'" EXIT INT QUIT PIPE
+
+(
+ set -x
+ "$dmi_memory_id" -F "$input" >"$output"
+ diff -u "$output" "$expected"
+)